---
import { SITE } from '~/config.mjs';
import { getCanonical, getHomePermalink } from '~/utils/permalinks';
import Layout from '~/layouts/PageLayout.astro';

import Hero from '~/components/widgets/Hero.astro';
import Note from '~/components/widgets/Note.astro';
import Features from '~/components/widgets/Features.astro';
import Features2 from '~/components/widgets/Features2.astro';
import Features3 from '~/components/widgets/Features3.astro';
import HighlightedPosts from '~/components/blog/HighlightedPosts.astro';
import FAQs from '~/components/widgets/FAQs.astro';
import Stats from '~/components/widgets/Stats.astro';
import CallToAction from '~/components/widgets/CallToAction.astro';

const meta = {
	title: SITE.title,
	description: SITE.description,
	canonical: getCanonical(getHomePermalink()),
};
---

<Layout {meta}>
	<Hero />
	<Note />
	<Features />
	<Features2 />
	<Features3 />
	<HighlightedPosts />
	<FAQs />
	<Stats />
	<CallToAction />
</Layout>
